org.keycloak.protocol.openshift

## Class OpenShiftTokenReviewResponseRepresentation.User

- java.lang.Object
- - org.keycloak.protocol.openshift.OpenShiftTokenReviewResponseRepresentation.User

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    OpenShiftTokenReviewResponseRepresentation

      public static class OpenShiftTokenReviewResponseRepresentation.User
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OpenShiftTokenReviewResponseRepresentation.Extra` | `extra`
    `protected List<String>` | `groups`
    `protected String` | `uid`
    `protected String` | `username`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `User()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenShiftTokenReviewResponseRepresentation.Extra` | `getExtra()`
    `List<String>` | `getGroups()`
    `String` | `getUid()`
    `String` | `getUsername()`
    `void` | `setExtra(OpenShiftTokenReviewResponseRepresentation.Extra extra)`
    `void` | `setGroups(List<String> groups)`
    `void` | `setUid(String uid)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### username

          protected String username

    - #### uid

          protected String uid

    - #### groups

          protected List<String> groups

    - #### extra

          protected OpenShiftTokenReviewResponseRepresentation.Extra extra

  - ### Constructor Detail

    - #### User

          public User()

  - ### Method Detail

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getUid

          public String getUid()

    - #### setUid

          public void setUid(String uid)

    - #### getGroups

          public List<String> getGroups()

    - #### setGroups

          public void setGroups(List<String> groups)

    - #### getExtra

          public OpenShiftTokenReviewResponseRepresentation.Extra getExtra()

    - #### setExtra

          public void setExtra(OpenShiftTokenReviewResponseRepresentation.Extra extra)

Copyright © 2021 JBoss by Red Hat. All rights reserved.